<template>
  <div>
    <div style="height: 50px; overflow: hidden" class="mb-minusxl">
      <svg
        viewBox="0 0 500 150"
        preserveAspectRatio="none"
        style="height: 100%; width: 100%"
      >
        <path
          d="M0.00,49.98 C149.99,150.00 271.49,-49.98 500.00,49.98 L500.00,0.00 L0.00,0.00 Z"
          style="stroke: none; fill: #fff"
        ></path>
      </svg>
    </div>
    <slot></slot>
    <div style="height: 50px; overflow: hidden" class="mt-minusxl">
      <svg
        viewBox="0 0 500 150"
        preserveAspectRatio="none"
        style="height: 100%; width: 100%"
      >
        <path
          fill="url(#gradient)"
          d="M0.00,49.98 C149.99,150.00 349.20,-49.98 500.00,49.98 L500.00,150.00 L0.00,150.00 Z"
          style="stroke: none; fill: #fff"
        ></path>
      </svg>
    </div>
  </div>
</template>